export declare const settingsRouteRef: import("@backstage/core-plugin-api").RouteRef<undefined>;
/** @public */
export declare const userSettingsPlugin: import("@backstage/core-plugin-api").BackstagePlugin<{
    settingsPage: import("@backstage/core-plugin-api").RouteRef<undefined>;
}, {}>;
/** @public */
export declare const UserSettingsPage: (props: {
    providerSettings?: JSX.Element;
}) => import("react/jsx-runtime").JSX.Element;
